#
# u2d1.rb
#
# $Id: u2d1.rb,v 1.1 2000/11/21 03:15:30 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nt = 51
nz = 21
tmin = 0.0
tmax = 5.0
zmin = 20.0
zmax = 50.0
dt = (tmax-tmin)/(nt-1)
dz = (zmax-zmin)/(nz-1)

u = NArray.sfloat(nt, nz)

#-- data ----
for j in 0..nz-1
  zj = j*dz
  uz = exp(-0.2*zj)*(zj**0.5)
  for i in 0..nt-1
    ti = i*dt-2.0*exp(-0.1*zj)
    u[i,j] = uz*sin(3.0*ti)
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(tmin, tmax, zmin, zmax)
uspfit
grstrf

ussttl('TIME', 'YEAR', 'HEIGHT', 'km')
usdaxs

udcntr(u, nt, nt, nz)

grcls

