#
# miss1.rb
#
# $Id: miss1.rb,v 1.1 2000/11/21 03:15:42 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 40
xmin = 0.0
xmax = 4*PI
ymin = -1.0
ymax = 1.0

x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ----
dt = xmax/nmax
x = x.indgen * dt
y = sin(x)

n1 = nmax/4
rmiss = glrget('RMISS')
y[n1-1] = rmiss
y[n1]   = rmiss
y[n1+1] = rmiss

n2 = n1*3
y[n2-1] = rmiss
y[n2+1] = rmiss

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws
grfrm

#-- default ----
grswnd(xmin, xmax, ymin, ymax)
grsvpt( 0.1,  0.9,  0.7,  0.9)
grstrn(1)
grstrf

sgplu(nmax+1, x, y)

grswnd(xmin, xmax, ymin, ymax)
grsvpt( 0.1,  0.9,  0.5,  0.7)
grstrn(1)
grstrf

sgspmt(3)
sgpmu(nmax+1, x, y)

#-- cover loss data ----
gllset('LMISS', true)

grswnd(xmin, xmax, ymin, ymax)
grsvpt( 0.1,  0.9,  0.3,  0.5)
grstrn(1)
grstrf

sgplu(nmax+1, x, y)

grswnd(xmin, xmax, ymin, ymax)
grsvpt( 0.1,  0.9,  0.1,  0.3)
grstrn(1)
grstrf

sgpmu(nmax+1, x, y)

grcls

